Subject: Wizard για create new network

Description

Στο networks tab πρέπει να δουλεύει το κουμπί "Create New +" και να φτιάχνει καινούριο private network αντίστοιχα με τον wizard

του machines. Θα ανέβει mockup

Related issues:

related to Synnefo - Feature # 415: Επέκταση του UI ώστε να χειρίζεται το δημ... Closed 04/13/2011

History

#1 - 05/14/2011 03:52 pm - Christos Psaltis

- Assignee changed from Christos Psaltis to Constantinos Venetsanopoulos

Το γυρίζω προσωρινά στον Κωνσταντίνο και μόλις ανέβει το mockup θα το αναλάβω εγώ.

#2 - 05/16/2011 02:58 pm - Constantinos Venetsanopoulos

- Assignee changed from Constantinos Venetsanopoulos to Christos Psaltis

Εδώ, για να διευκολυνθούν όλοι θα γίνουν τα εξής:

1. Το create new δεν βγάζει overlay wizard

2. Με το που το πατάς δημιουργεί άλλο ένα private network πάνω πάνω στη λίστα των private networks

3. To network που δημιουργήθηκε έχει αρχικά ένα default name "My network" + "αύξοντα αριθμό" (π.χ. Μy network 1)

4. Το καινούριο network που μόλις δημιουργήθηκε θα είναι expanded και θα φαίνονται και όλα τα actions δεξιά, ώστε να μπορεί ο χρήστης να

προσθέσει μηχανήματα κατευθείαν.

5. Ο χρήστης θα μπορεί από το μολυβάκι να κάνει rename το δίκτυο.

#3 - 05/16/2011 03:11 pm - Constantinos Venetsanopoulos

Άκυρο το 3 (ας τα κάνουμε ακόμη πιο εύκολα τα πράγματα :), μην καθόμαστε να μετράμε).

Με το που φτιαχτεί το καινούριο network να ονομάζεται "New Network" και να είναι αμέσως επιλεγμένο για να το κάνει rename ο χρήστης (σαν να

είχε πατήσει το μολυβάκι).

Δηλαδή το "5" του σχόλιου 2 να είναι αυτόματα ενεργοποιημένο κατά το creation

#4 - 05/16/2011 03:19 pm - Christos Psaltis

Πώς θα φτιάχνονται τα public δίκτυα; Δεν μπόρεσα να βρω κάποια κλήση που να μου επιτρέπει να κάνω αλλαγές. Έχω χάσει κάτι ή δεν θα

υποστηρίζεται κάτι τέτοιο;

#5 - 05/16/2011 04:13 pm - Constantinos Venetsanopoulos
Public network είναι ένα και είνα σταθερό. Δεν μπορεί να δημιουργηθεί, ούτε να καταστραφεί. Αυτό είναι ήδη τεκμηριωμένο. Δεν ασχολείστε με

αυτό. Όλα τα μηχανήματα από τη στιγμή που θα γίνονται create θα έχουν public ip επομένως θα πρέπει να εμφανίζονται στο public network με την

αντίστοιχη IP.

Στα networks κάνετε ακριβώς ότι κάνατε και με τους servers, changes-since, δυναμικό rendering κτλ

#6 - 05/24/2011 09:12 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Η λύση που προτείνεις στο σημείο 3 πιο πάνω μου φαίνεται ότι έχει κάποια προβληματάκια:

1. Το νέο δίκτυο δεν εμφανίζεται αμέσως ώστε να αλλάξεις κατευθείαν το όνομά του

2. Ο χρήστης μπορεί να πατήσει το κουμπί δημιουργίας περισσότερες από μία φορές μέχρι να βγει το πρώτο δίκτυο και μετά δεν υπάρχει τρόπος να

μεταβείς από το ένα δίκτυο στο άλλο

3. Η συμπεριφορά αυτή δεν είναι απόλυτα συνεπής με τα υπόλοιπα σημεία του ui

Αυτό που θα πρότεινα είναι να φτιαχτεί ένα overlay όπως πχ αυτό των μεταδεδομένων όπου θα ζητά από τον χρήστη να εισάγει το όνομα του δικτύου

που θέλει να φτιάξει. Έπειτα θα πατάει create και το παράθυρο θα κλείνει μόνο εφόσον έχει δημιουργηθεί το νέο δίκτυο. Πώς σου φαίνεται αυτό;

#7 - 05/25/2011 01:00 pm - Vangelis Koukis

- Status changed from Feedback to Assigned

Christos Psaltis wrote:

Η λύση που προτείνεις στο σημείο 3 πιο πάνω μου φαίνεται ότι έχει κάποια προβληματάκια:

1. Το νέο δίκτυο δεν εμφανίζεται αμέσως ώστε να αλλάξεις κατευθείαν το όνομά του

Πράγματι, το είδα κι εγώ αυτό. Πατάς το κουμπί και δεν καταλαβαίνεις τι συμβαίνει μέχρι να γίνει το update.

Σύμφωνα και με το #471, θα έπρεπε να υπάρχει κάποια ενημέρωση. Νομίζω αυτό που προτείνεις διορθώνει και τα δύο,

και βελτιώνει το consistency.

2. Ο χρήστης μπορεί να πατήσει το κουμπί δημιουργίας περισσότερες από μία φορές μέχρι να βγει το πρώτο δίκτυο και μετά δεν υπάρχει

τρόπος να μεταβείς από το ένα δίκτυο στο άλλο.

3. Η συμπεριφορά αυτή δεν είναι απόλυτα συνεπής με τα υπόλοιπα σημεία του ui

Αυτό που θα πρότεινα είναι να φτιαχτεί ένα overlay όπως πχ αυτό των μεταδεδομένων όπου θα ζητά από τον χρήστη να εισάγει το όνομα

του δικτύου που θέλει να φτιάξει. Έπειτα θα πατάει create και το παράθυρο θα κλείνει μόνο εφόσον έχει δημιουργηθεί το νέο δίκτυο. Πώς

σου φαίνεται αυτό;

Έχεις δίκιο, αυτό θα βελτίωνε την ομοιομορφία, θα έλυνε το ζήτημα της ενημέρωσης του χρήστη (#471) και αποφεύγει το σκόπελο του ότι η

ανανέωση του περιεχομένου γίνεται ασύγχρονα.

Οπότε, κάντε το όπως λες. Συγκεκριμένα:

04/26/2024 2/3



α) Φτιάξτε ένα πολύ απλό overlay, όμοιο με τον Create New+ wizard για τα machines, με commented out τα νούμερα στο πάνω μέρος: το μόνο που θα

ρωτάει θα είναι το όνομα του νέου δικτύου, με δύο κουμπιά: "Cancel", "Create Net" (μεταφράσιμα, όπως τα υπόλοιπα). Όταν πατηθεί το "Create Net"

εμφανίζεται το gif για progress (#471), γίνεται το POST, το παράθυρο φεύγει μόνο όταν έχει απαντηθεί η κλήση.

β) οπότε μετά γίνεται update η εικόνα (ακριβώς όπως και για τα machines), οπότε εμφανίζεται το δίκτυο που μόλις έφτιαξε ο χρήστης μαζί με τα

υπόλοιπα, οπότε όλα καλά.

γ) Δεν έχει νόημα να βγαίνει παράθυρο Success για τη συγκεκριμένη περίπτωση, αν το POST /networks πετύχει ο wizard φεύγει, αν αποτύχει

βγαίνει κανονικά το παράθυρο λάθους, για οποιοδήποτε λάθος κι αν επιστραφεί, όπως περιγράφεται αναλυτικά και στο #523.

#8 - 05/26/2011 07:43 pm - Christos Psaltis

Είναι έτοιμο για έλεγχο

#9 - 05/26/2011 07:44 pm - Christos Psaltis

- Status changed from Assigned to Feedback

#10 - 05/27/2011 10:57 am - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

Είναι ΟΚ. Μερικές παρατηρήσεις:

1. Το "Νame: Input box" να στοιχιστεί στη μέση του pane. Tόσο σε ύψος όσο και σε πλάτος.

2. Τα χρώματα (και τα hover) των buttons να γίνουν ίδια με του "Create new VM" wizard (το πορτοκαλί παίζει να είναι το ίδιο και να μην το βλέπω

εγώ, αλλά το μπλε θέλει σίγουρα αλλαγή).

3. Να γίνεται έλεγχος για το κενό name και να μην κλείνει ο wizard.

4. To progress gif να γίνει σε τόνους του πορτοκαλί.

#11 - 05/27/2011 12:55 pm - Christos Psaltis

- Status changed from Assigned to Feedback

Εντάξει όλα.

Στο 2 όντως το hover ήταν ίδιο με τον βασικό wizard.

Στο 3 επειδή το πεδίο είναι πλέον υποχρεωτικό πρόσθεσα μερικά στοιχεία για να το αντιλαμβάνεται και ο χρήστης.

#12 - 05/27/2011 01:01 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

Πολύ ωραία, κλείνει
